http
POST https://services.leadconnectorhq.com/knowledge-bases/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
namestringYes
descriptionstringNo
locationIdstringYes

Responses

201 - Knowledge base created successfully
  • success (boolean, required): Success status of the operation Example: True

  • data (object, required): Created knowledge base details

json
{
  "success": true
}
400 - Bad Request
  • statusCode (number): Example: 400

  • message (string): Example: Bad Request

json
{
  "statusCode": 400,
  "message": "Bad Request"
}
401 - Unauthorized
  • statusCode (number): Example: 401

  • message (string): Example: Invalid token: access token is invalid

  • error (string): Example: Unauthorized

json
{
  "statusCode": 401,
  "message": "Invalid token: access token is invalid",
  "error": "Unauthorized"
}

Example

curl -X POST 'https://services.leadconnectorhq.com/knowledge-bases/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "locationId": "string"
}'

Last updated October 26, 2026

Was this page helpful?